{% extends 'shopapp/base.html' %}

{% block title %}
    Orders list
{% endblock %}

{% block body %}
    <h1>Orders:</h1>
    <div>
        {% if not object_list %}
            No order yet
        {% else %}
            <div>
                {% for order in object_list %}
                    <div>
                        <p><a href="{% url 'shopapp:order_details' pk=order.pk %}">Details {{ order.pk }}</a></p>
                        <p>Order by: {% firstof order.user.first_name order.user.username %}</p>
                        <p>Promocode: {{ order.promocode }}</p>
                        <p>Delivery address{{ order.delivery_address }}</p>
                        <div>
                            Product in order:
                            <ul>
                                {% for product in order.products.all %}
                                    <li>{{ product.name }} for ${{ product.price }}</li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                    <hr>
                {% endfor %}
            </div>
        {% endif %}
    </div>
    <div>
        <a href="{% url 'shopapp:orders_create' %}">Create a new order</a>
    </div>
{% endblock %}